Nembo ya SHANNON A.I.
SHANNON A.I.
Chati Bei API Utafiti Kampuni Pentest AI Kuongeza Anza
Ingia
Mpango na Matumizi
Chati Bei API Utafiti Kampuni Pentest AI Kuongeza Anza Ingia Mpango na Matumizi

Chagua lugha yako

Lugha zote ni sawa. Chagua unayotaka kutumia.

Nyaraka za API

Shannon API

AI API inayooana na OpenAI na Anthropic yenye wito wa kazi, utafutaji wa wavuti, na matokeo yaliyopangwa.

Pata ufunguo wako wa API Jaribu Playground V2
Nyaraka
  • OV Muhtasari
  • CP Uwezo
  • QS Mwanzo wa Haraka
  • PG Uwanja wa API Mpya
  • AU Uthibitishaji
  • ML Miundo
  • FN Uitoaji wa kazi
  • JS Matokeo yaliyopangwa
  • SS Kutiririsha
  • WS Utafutaji wa wavuti
  • AN Anthropic
  • SD SDKs
  • ER Ushughulikiaji wa Makosa
  • CL Kumbukumbu ya mabadiliko
  • AK API Key yako
  • US Matumizi yako

Shannon AI API Documentation

Muhtasari

Public docs

Kila kitu unachohitaji ili kuachia ukitumia API ya Shannon inayooana na OpenAI na Anthropic.

URL OpenAI-Compatible
https://api.shannon-ai.com/v1/chat/completions

Use the Chat Completions API with function calling and streaming.

URL Anthropic-Compatible
https://api.shannon-ai.com/v1/messages

Claude Messages format with tools and anthropic-version header.

HTTP Uthibitishaji
Authorization: Bearer <api-key>

Or X-API-Key with anthropic-version for Claude-style calls.

Access Status
Public docs - Key required to call

Streaming, function calling, structured outputs, web search.

Launch checklist
  • +
    Point your SDK at Shannon
    Set baseURL to the OpenAI or Anthropic endpoints above.
    Setup
  • +
    Attach your API key
    Use Bearer tokens for OpenAI calls or X-API-Key + anthropic-version.
    Security
  • +
    Enable tools & structured outputs
    Supports OpenAI tools/functions, JSON schema, and built-in web_search.
    Uwezo
  • +
    Track usage
    View token and search consumption on this page when signed in to your account.
    Analytics

Uwezo

OpenAI + Anthropic

Ubadilishaji drop‑in kwa API za OpenAI na Anthropic wenye msaada wa zana, matokeo yaliyopangwa, na utafutaji wa wavuti uliyojengwa ndani.

AI

Mbadala wa drop‑in

Inaoana

Inafanya kazi na SDK za OpenAI na Anthropic. Badilisha tu base URL.

AI

Uitoaji wa Kazi

Zana

Bainisha zana, Shannon azitekeleze. Inasaidia modi auto, forced na none.

AI

Utafutaji wa Wavuti ulioundwa ndani

Tafuta

Utafutaji wa wavuti wa wakati halisi wenye nukuu za vyanzo. Inapatikana kiotomatiki.

AI

Matokeo Yenye Muundo

JSON

Hali ya JSON na utekelezaji wa JSON Schema kwa uchimbaji wa data unaoaminika.

AI

Zana za Mizunguko Mingi

Wakala

Mizunguko ya utekelezaji wa kazi kiotomatiki. Hadi marudio 10 kwa ombi.

AI

Utiririshaji

Haraka

Server‑sent events kwa utiririshaji wa token wa wakati halisi.

Mwanzo wa Haraka

Dakika 5

Anza kwa hatua tatu. Shannon huakisi wateja wa OpenAI na Anthropic.

1

Weka base URL yako

Tumia endpoint inayooana na OpenAI.

https://api.shannon-ai.com/v1/chat/completions
2

Ongeza API key yako

Tumia uthibitishaji wa Bearer kwenye kichwa cha Authorization.

3

Tuma ujumbe wako wa kwanza

Chagua lugha na uweke key yako.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

Muundo wa majibu

Jibu la mafanikio
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

Uwanja wa API

Mpya

Jaribu Shannon API moja kwa moja kwenye kivinjari. Jenga ombi, liendeshe, na uone majibu kwa wakati halisi.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/sw/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

Jaribu Playground V2 Pata ufunguo wako wa API

Uthibitishaji

Maombi yote ya API yanahitaji uthibitishaji kwa kutumia ufunguo wako wa Shannon API.

OpenAI Format (Recommended)

HTTP
Authorization: Bearer YOUR_API_KEY

Anthropic

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

Miundo

Shannon hutoa mifano kadhaa iliyoboreshwa kwa matumizi tofauti.

AI
shannon-1.6-lite Shannon 1.6 Lite

Fast, efficient responses for everyday tasks

Muktadha 128K
Imejengwa kwa Wataalamu wa Usalama Chat, Q&A, Content Generation
AI
shannon-1.6-pro Shannon 1.6 Pro

Advanced reasoning for complex problems

Muktadha 128K
Imejengwa kwa Wataalamu wa Usalama Analysis, Research, Complex Tasks
AI
shannon-2-lite Shannon 2 Lite

Muktadha 128K
Imejengwa kwa Wataalamu wa Usalama
AI
shannon-2-pro Shannon 2 Pro

Muktadha 128K
Imejengwa kwa Wataalamu wa Usalama
AI
shannon-coder-1 Shannon Coder

Optimized for Claude Code CLI with call-based quota

Muktadha 128K
Imejengwa kwa Wataalamu wa Usalama Code Generation, Tool Use, CLI Integration
Call-based quota

Uitoaji wa kazi

Fafanua zana ambazo Shannon anaweza kuita kufanya vitendo au kupata taarifa.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

Uitoaji wa kazi

"auto" Model decides whether to call a function (default)
"none" Disable function calling for this request
{"type": "function", "function": {"name": "..."}} Force a specific function call

Muundo wa majibu

When model calls a function
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

Matokeo yaliyopangwa

Lazimisha Shannon kujibu kwa JSON halali inayolingana na skima yako.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

Muundo wa majibu

{"type": "json_object"} Force valid JSON output (no specific schema)
{"type": "json_schema", "json_schema": {...}} Force output matching your exact schema

Kutiririsha

Washa token streaming ya wakati halisi kwa kutumia Server‑Sent Events kwa UI inayoitikia.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
Tip: Streaming responses arrive as Server-Sent Events. Each chunk contains a delta with partial content.

Utafutaji wa wavuti

Shannon ina web_search iliyojengwa ndani inayopatikana kiotomatiki.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
Kidokezo: Web search results include citations. Shannon will automatically cite sources.

Anthropic

Shannon pia inaunga mkono muundo wa Anthropic Messages API.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
Required: Anthropic format requires anthropic-version: 2023-06-01.

SDKs

Inaoana

Tumia SDK yoyote ya OpenAI au Anthropic — badilisha tu base URL.

OpenAI-Compatible SDKs

SDK Python

Official OpenAI Python SDK - works with Shannon

pip install openai
View Docs ->
SDK JavaScript / TypeScript

Official OpenAI Node.js SDK - works with Shannon

npm install openai
View Docs ->
SDK Go

Community Go client for OpenAI-compatible APIs

go get github.com/sashabaranov/go-openai
View Docs ->
SDK Ruby

Community Ruby client for OpenAI-compatible APIs

gem install ruby-openai
View Docs ->
SDK PHP

Community PHP client for OpenAI-compatible APIs

composer require openai-php/client
View Docs ->
SDK Rust

Async Rust client for OpenAI-compatible APIs

cargo add async-openai
View Docs ->

Anthropic-Compatible SDKs

SDK Python (Anthropic)

Official Anthropic Python SDK - works with Shannon

pip install anthropic
View Docs ->
SDK TypeScript (Anthropic)

Official Anthropic TypeScript SDK - works with Shannon

npm install @anthropic-ai/sdk
View Docs ->

Ushughulikiaji wa Makosa

Shannon hutumia misimbo ya hali ya HTTP ya kawaida na hutoa ujumbe wa makosa kwa kina.

400 Ombi Baya Muundo wa ombi au vigezo si sahihi
401 Haijaidhinishwa API key batili au haipo
402 Kiwango kimezidi Kiwango cha token au utafutaji kimezidi
429 Imepunguzwa kasi Maombi mengi sana, punguza kasi
500 Hitilafu ya Seva Hitilafu ya ndani, jaribu tena baadaye

Muundo wa Jibu la Kosa

Jibu la Kosa
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

Kumbukumbu ya mabadiliko

LOG

Sasisho na maboresho ya hivi karibuni kwa Shannon API.

v2.1.0
2025-01-03
  • Mpya Added shannon-coder-1 model for Claude Code CLI integration
  • Mpya Call-based quota system for Coder model
  • Improved Improved function calling reliability
v2.0.0
2024-12-15
  • Mpya Added Anthropic Messages API compatibility
  • Mpya Multi-turn tool execution (up to 10 iterations)
  • Mpya JSON Schema response format support
  • Improved Enhanced web search with better citations
v1.5.0
2024-11-20
  • Mpya Added shannon-deep-dapo model for complex reasoning
  • Mpya Built-in web_search function
  • Improved Reduced latency for streaming responses
v1.0.0
2024-10-01
  • Mpya Initial API release
  • Mpya OpenAI-compatible chat completions endpoint
  • Mpya Function calling support
  • Mpya Streaming via Server-Sent Events

API Key yako

Access
Use Bearer tokens for OpenAI calls or X-API-Key + anthropic-version.
YOUR_API_KEY
Pata ufunguo wako wa API

Weka API key yako siri. Kutengeneza upya huunda key mpya na kubatilisha ya zamani.

Toleo: 1
Mara ya mwisho kuzungushwa: Kamwe
Mara ya mwisho kutumika: Kamwe

Matumizi yako

View token and search consumption on this page when signed in to your account.

-- Miito ya API
-- Tokeni zilizotumika

Shannon Coder (shannon-coder-1)

Kiwango cha miito kwa Shannon Coder (shannon-coder-1). Huanzishwa upya kila baada ya 4 saa.

0 Miito iliyotumika
0 Miito iliyobaki

Uko tayari kujenga?

Pata ufunguo wako wa API na anza kujenga na Shannon AI leo.

Unda ufunguo wa API Tazama nyaraka

Utafutaji maarufu:

Jaribu maneno mengine
Nenda: ↑ ↓ Chagua: Enter Funga: Esc